#!/bin/sh
# --- SDE-COPYRIGHT-NOTE-BEGIN ---
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
#
# Filename: target/sheba/pkgs/util-vserver/D%sysconfdir_vservers_.defaults_scripts_pre-start.sh
# Copyright (C) 2008 - 2014 The OpenSDE Project
#
# More information can be found in the files COPYING and README.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License. A copy of the
# GNU General Public License can be found in the file COPYING.
# --- SDE-COPYRIGHT-NOTE-END ---

. D_datadir/util-vserver/util-vserver-vars

if grep -q '[ 	]/dev[ 	]' "$__CONFDIR/$2/fstab"; then
	# guest has /dev as tmpfs
	#

	install_nodes()
	{
		local dir="$1" x=

		for x in $dir/*; do
			y=dev/${x##*/}

			[ ! -e "$y" ] || rm -f "$y"

			cp -a "$x" "$y"
		done
	}

	for x in .defaults "$2"; do
		[ ! -d "$__CONFDIR/$x/dev" ] || install_nodes "$__CONFDIR/$x/dev"
	done

	# mount devpts after /dev was populated
	#
	$_SECURE_MOUNT -t devpts -o gid=5,mode=620,dev --chroot none /dev/pts

	# 144 is what qemu wants... I know it's wrong to hardcode this here, but
	# I don't have the time for a better implementation (fstab) yet
	$_SECURE_MOUNT -t tmpfs -o size=144m --chroot none /dev/shm
fi
